Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/account

Retrieve account

Retrieves the details of an account.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
business_profileone of multiple schemasBusiness information about the account.
business_typestringThe business type.
capabilitiesaccount_capabilities
charges_enabledbooleanWhether the account can process charges.
companylegal_entity_company
controlleraccount_unification_account_controller
countrystringThe account's country.
createdintegerTime at which the account was connected. Measured in seconds since the Unix epoch.
default_currencystringThree-letter ISO currency code representing the default currency for the account. This must be a currency that [Stripe supports in the account's country](https://stripe.com/docs/payouts).
details_submittedbooleanWhether account details have been submitted. Accounts with Stripe Dashboard access, which includes Standard accounts, cannot receive payouts before this is true. Accounts where this is false should be directed to [an onboarding flow](/connect/onboarding) to finish submitting account details.
emailstringAn email address associated with the account. It's not used for authentication and Stripe doesn't market to this field without explicit approval from the platform.
external_accountsobjectExternal accounts (bank accounts and debit cards) currently attached to this account. External accounts are only returned for requests where `controller[is_controller]` is true.
future_requirementsaccount_future_requirements
groupsone of multiple schemasThe groups associated with the account.
id requiredstringUnique identifier for the object.
individualperson
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payouts_enabledbooleanWhether the funds in this account can be paid out.
requirementsaccount_requirements
settingsone of multiple schemasOptions for customizing how the account functions within Stripe.
tos_acceptanceaccount_tos_acceptance
typestringThe Stripe account type. Can be `standard`, `express`, `custom`, or `none`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors